IncludeRelativePath (Velocity 1.7 API)
Keywords: org.apache.velocity.app.event.implement.IncludeRelativePath class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.app.event.implement
Class IncludeRelativePath

    java.lang.Object
      org.apache.velocity.app.event.implement.IncludeRelativePath

All Implemented Interfaces:
  EventHandler, IncludeEventHandler

public class IncludeRelativePath
extends Object
implements IncludeEventHandler

Event handler that looks for included files relative to the path of the current template. The handler assumes that paths are separated by a forward slash "/" or backwards slash "\".

Since:
  1.5
Version:
  $Id: IncludeRelativePath.java 685685 2008-08-13 21:43:27Z nbubna $
Author:
  Will Glass-Husain

Nested Class Summary

Nested classes inherited from class org.apache.velocity.app.event.IncludeEventHandler
`IncludeEventHandler.IncludeEventExecutor`

Constructor Summary
`IncludeRelativePath()`

Method Summary
`String` | `includeEvent(String includeResourcePath, String currentResourcePath, String directiveName)` Return path relative to the current template's path.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IncludeRelativePath

    public IncludeRelativePath()

Method Detail

### includeEvent

    public String includeEvent(String includeResourcePath,
                               String currentResourcePath,
                               String directiveName)

  Return path relative to the current template's path.

  Specified by:
    `includeEvent` in interface `IncludeEventHandler`
  Parameters:
    `includeResourcePath` - the path as given in the include directive.
    `currentResourcePath` - the path of the currently rendering template that includes the include directive.
    `directiveName` - name of the directive used to include the resource. (With the standard directives this is either "parse" or "include").
  Returns:
    new path relative to the current template's path

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.